#include "Common.h"
#include "ReadersWriterLock.h"
#include "WVFrame.h"

#define     FG_TIMERID		1

#define		FG_SETUP		(WM_USER + 2)
#define		FG_STOP			(WM_USER + 3)
#define		FG_LISTDEV		(WM_USER + 4)
#define		FG_GETNAME		(WM_USER + 5)
#define		FG_SHOWSETTINGS	(WM_USER + 6)
#define		FG_ISRUNNING	(WM_USER + 7)

#define     FGStop(lpFgs)	SendFGMessage((lpFgs), FG_STOP, 0, 0)

LPFGSTRUCT	CreateFG();
BOOL		FGStart(LPFGSTRUCT lpFgs, INT iDeviceID, INT iW, INT iH);
VOID		DeleteFG(LPFGSTRUCT lpFgs);

LRESULT		SendFGMessage(LPFGSTRUCT lpFgs, UINT uMsg, WPARAM wParam, LPARAM lParam);
VOID		FGGetDeviceName(LPFGSTRUCT lpFgs, INT iDeviceID, LPWSTR lpszBuffer, INT cBufferSize);
